Page MenuHomePhabricator

[VPlan] Use VPdef for VPWidenCall.
ClosedPublic

Authored by fhahn on Nov 1 2020, 10:42 AM.

Details

Summary

This patch turns updates VPWidenREcipe to manage the value it defines
using VPDef. The VPValue is used during VPlan construction and
codegeneration instead of the plain IR reference where possible.

Diff Detail

Event Timeline

fhahn created this revision.Nov 1 2020, 10:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 1 2020, 10:42 AM
fhahn requested review of this revision.Nov 1 2020, 10:42 AM
fhahn updated this revision to Diff 303233.Nov 5 2020, 12:57 PM

Updated to keep VPWidenCall a VPValue which is then added to its VPDef. This simplifies things a bit.

fhahn updated this revision to Diff 303405.Nov 6 2020, 4:49 AM

update after VPDef does not inherit from VPUser directly.

fhahn updated this revision to Diff 306910.Nov 22 2020, 6:14 AM

Rebase after all dependent patches landed & ping :)

fhahn added a comment.Dec 3 2020, 4:27 AM

ping :)

The main patches have already been approved (D90565, D90564) and this patch just updates VPWidenCallRecipe to be a single-value def.

gilr accepted this revision.Dec 14 2020, 11:12 PM
This revision is now accepted and ready to land.Dec 14 2020, 11:12 PM
This revision was landed with ongoing or failed builds.Dec 15 2020, 1:25 AM
This revision was automatically updated to reflect the committed changes.